import axios from "@/utils/axios";
export default {
  /**
   * 新增产品类别
   */
  addProductCategory(data) {
    return axios.post("/xiaoshi/productCategory/addProductCategory", data);
  },
  /**
   * 修改产品类别
   */
  updateProductCategory(data) {
    return axios.post("/xiaoshi/productCategory/updateProductCategory", data);
  },
  /**
   * 查询产品类别
   */
  queryProductCategory(data) {
    return axios.post("/xiaoshi/productCategory/queryProductCategory", data);
  },
  /**
   * 删除产品类别
   */
  deleteProductCategory(data) {
    return axios.post("/xiaoshi/productCategory/deleteProductCategory", data);
  },
  

  /**
   * 新增产品类别
   */
  addProduct(data) {
    return axios.post("/xiaoshi/product/addProduct", data);
  },
  /**
   * 修改产品类别
   */
  updateProduct(data) {
    return axios.post("/xiaoshi/product/updateProduct", data);
  },
  /**
   * 查询产品类别
   */
  queryProduct(data) {
    return axios.post("/xiaoshi/product/queryProduct", data);
  },
  /**
   * 删除产品类别
   */
  deleteProduct(data) {
    return axios.post("/xiaoshi/product/deleteProduct", data);
  },
 
  /**
   * 新增产品营销数据
   */
  addProductMarketData(data) {
    return axios.post("/xiaoshi/productMarketData/addProductMarketData", data);
  },
  /**
   * 修改产品营销数据
   */
  updateProductMarketDat(data) {
    return axios.post("/xiaoshi/productMarketData/updateProductMarketData", data);
  },
  /**
   * 查询产品营销数据
   */
  queryProductMarketData(data) {
    return axios.post("/xiaoshi/productMarketData/queryProductMarketData", data);
  },
  /**
   * 删除产品营销数据
   */
  deleteProductMarketData(data) {
    return axios.post("/xiaoshi/productMarketData/deleteProductMarketData", data);
  },
  /**
   * 分组查询产品营销数据（趋势图）
   */
  groupProductMarketData(data) {
    return axios.post("/xiaoshi/productMarketData/groupProductMarketData", data);
  },
  /**
   * 获取公司和地区
   */
  getAllCompanyAndArea(data) {
    return axios.post("/xiaoshi/productMarketData/getAllCompanyAndArea", data);
  },
  
  
};
